Implement minimum wikipedia account quality for account creation on TWL
Closed, ResolvedPublic

Description

Use autoconfirmed, if we can get that from OAuth; otherwise use some minimum account lifetime/editcount.

ThatAndromeda updated the task description. (Show Details)
Samwalton9 lowered the priority of this task from Normal to Low.Nov 10 2016, 9:35 PM

We should probably have a discussion (if that hasn't happened already) about whether this is desired behaviour, and if so what the account quality threshold should be. I don't know if it's likely but it's theoretically possible that a user might want to OAuth through an account that isn't their main account, in which case it may not meet the threshold even though their main account does.

At a minimum I think we should make this flexible, such that it could be changed by tool admins as needed.

Yes, we can get this from OAuth and Alex Stinson confirmed for me a while ago that it is a good plan.

It is hard to make this customizable by tool admins.

Samwalton9 added a comment.EditedDec 26 2016, 1:34 PM

Ok, no problem then. I think autoconfirmed (which is a user right denoting 4 days and 10 edits) should be the limit; that would prevent spam or trolling while trying to leave the platform open to as many as possible, even if they don't meet the strict requirements. We can discuss this next check-in though.

We agreed last team check-in that autoconfirmed on home wiki would be a reasonable minimum activity requirement.

ThatAndromeda raised the priority of this task from Low to Normal.Jan 13 2017, 7:04 PM
ThatAndromeda closed this task as Resolved.Jan 26 2017, 9:34 PM